## pyopencl 2014.1

=== debian/changelog ===
pyopencl (2014.1-3) unstable; urgency=medium

  * Add dependency to appdirs and use it to create cache directories
    (Closes: #770692).
  * Update Standards-Version to 3.9.6; no changes necessary.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 29 Nov 2014 11:43:47 +0100

pyopencl (2014.1-2) unstable; urgency=medium

  * Add build-time dependency on ocl-icd-opencl-dev (Closes: #761566).
  * Fix problems with debian/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 04 Oct 2014 18:46:56 +0200

pyopencl (2014.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump pytools dependency to 2014.2.
  * Fix Vcs-Browser links, as pointed in #749489.
  * Remove merged fix-device-number.patch.
  * Change d/rules get-orig-source to pack *.orig.tar with xz, not with gzip.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 18 Jun 2014 19:15:35 +0200

pyopencl (2013.2+git20140421-1) unstable; urgency=low

  * New upstream version.
  * Move to main as Mesa and Beignet provides free OpenCL implementations
    (Closes: #723132).
  * Change python-pyopencl-doc recommendation of Python and Python 3 packages
    to suggestions to avoid installing unwanted packages (Closes: #739173).
  * Change dependencies on OpenCL ICDs to prefer Mesa - available in main
    and free (Closes: #739176).
  * Add missing dependency on python(3)-pkg-resources (Closes: #745194).
  * Update Standards-Version to 3.9.5; no changes necessary.
  * Remove warning about missing Mako from build phase.
  * Add patch to fix problem with enumerating devices.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Apr 2014 16:47:51 +0200

=== debian/control ===
Source: pyopencl
Section: python
Priority: optional
Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
Build-Depends: debhelper (>= 9),
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python-setuptools,
 python3-setuptools,
 opencl-headers,
 ocl-icd-opencl-dev | opencl-dev,
 libboost-python-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg),
 python3-sphinx (>= 1.0.7+dfsg),
 python-pytools (>= 2014.2),
 python3-pytools
Standards-Version: 3.9.6
X-Python-Version: >= 2.5
X-Python3-Version: >= 3.3
Homepage: http://mathema.tician.de/software/pyopencl
Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyopencl.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git

Package: python-pyopencl
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 ocl-icd-libopencl1 | libopencl1,
 mesa-opencl-icd | beignet | opencl-icd,
 python-pkg-resources,
 python-appdirs,
 python-numpy,
 python-pytools (>= 2014.2)
Recommends: python-pyopencl-doc,
 python-opengl,
 python-mako
Suggests: python-imaging-tk,
 python-pytest,
 python-matplotlib,
 python-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).

Package: python-pyopencl-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: python-pyopencl (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Python module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python3-pyopencl
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 ocl-icd-libopencl1 | libopencl1,
 mesa-opencl-icd | beignet | opencl-icd,
 python3-pkg-resources,
 python3-appdirs,
 python3-numpy,
 python3-pytools (>= 2014.2)
Recommends: python-pyopencl-doc,
 python3-mako
Suggests: python3-imaging-tk,
 python3-opengl,
 python3-pytest,
 python3-matplotlib,
 python3-pyopencl-dbg
Replaces: python-pyopencl-headers
Description: Python 3 module to access OpenCL parallel computation API
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains Python 3 modules.

Package: python3-pyopencl-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Python 3 module to access OpenCL API (debug extensions)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains extensions build for the Python 3 debug interpreter.

Package: python-pyopencl-doc
Section: doc
Architecture: all
Depends: ${sphinxdoc:Depends},
 ${misc:Depends}
Suggests: python-pyopencl,
 python3-pyopencl
Description: module to access OpenCL parallel computation API (documentation)
 PyOpenCL lets you access the OpenCL parallel computation API from
 Python. Here's what sets PyOpenCL apart:
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and
    crash-free code.
  * Completeness. PyOpenCL puts the full power of OpenCL’s API at your
    disposal, if you wish.
  * Convenience. While PyOpenCL's primary focus is to make all of OpenCL
    accessible, it tries hard to make your life less complicated as it
    does so--without taking any shortcuts.
  * Automatic Error Checking. All OpenCL errors are automatically
    translated into Python exceptions.
  * Speed. PyOpenCL’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful, complete documentation and a wiki.
  * Liberal licensing (MIT).
 .
 This package contains HTML documentation and example scripts.

=== debian/rules ===
#! /usr/bin/make -f

PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
INSTALL_DIR=$(CURDIR)/debian/tmp/
PYTHON2=$(shell pyversions -vr)
PYTHON3=$(shell py3versions -vr)

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_configure:
	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl

override_dh_auto_build:
	dh_auto_build --buildsystem=python_distutils
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py build ; \
		python$$python-dbg setup.py build ; \
	done

override_dh_auto_install:
	set -e; \
	for python in $(PYTHON2); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON2); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	set -e; \
	for python in $(PYTHON3); do \
		python$$python-dbg setup.py install --install-layout=deb --root=$(INSTALL_DIR); \
	done
	dh_numpy
	dh_numpy3

override_dh_installdocs:
# Required to build PyOpenCL symbols for documentation
	cp -Ri pyopencl.egg-info build/lib.*-*-$(firstword $(PYTHON2))/
	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
	rm -rf build/lib.*-*-$(firstword $(PYTHON2))/pyopencl.egg-info 
	dh_installdocs

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
endif


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=v2014.1
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2015.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python `which sphinx-build`
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

constants:
	python make_constants.py > constants.inc

clean:
	-rm -rf build/*

html: constants
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

singlehtml: constants
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: constants
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: constants
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: constants
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: constants
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/loopy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/loopy.qhc"

devhelp: constants
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/loopy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/loopy"
	@echo "# devhelp"

epub: constants
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: constants
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: constants
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: constants
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: constants
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes: constants
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: constants
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: constants
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pyopencl (2015.1-2build3) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 11:46:00 +0000

pyopencl (2015.1-2build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:55:24 +0000

pyopencl (2015.1-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 21:25:06 +0000

pyopencl (2015.1-2) unstable; urgency=medium

  * Make the build reproducible by correctly passing changelog
    date to Sphinx - thanks to Juan Picca for patch (Closes: #788486).
  * Fix problems with d/copyright pointed by lintian.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 16 Jun 2015 19:41:30 +0200

pyopencl (2015.1-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible by passing changelog date to Sphinx.
  * Fix debian/watch to work with PyPI.
  * Add dh-python to Build-Depends.
  * Drop use-appdirs.patch, merged by upstream.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 09 Jun 2015 23:00:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
+ dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 DEB_CXXFLAGS_MAINT_STRIP=-O2
 DEB_CXXFLAGS_MAINT_APPEND=-O0
 endif
+
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
+SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
 %:
 	dh $@ --with python2,python3,sphinxdoc
@@ -47,7 +52,7 @@
 override_dh_installdocs:
 # Required to build PyOpenCL symbols for documentation
 	cp -Ri pyopencl.egg-info build/lib.*-*-$(firstword $(PYTHON2))/
-	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html
+	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 	rm -rf build/lib.*-*-$(firstword $(PYTHON2))/pyopencl.egg-info 
 	dh_installdocs
 
@@ -67,7 +72,7 @@
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2014.1
+GIT_REVISION=v2015.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git

=== debian/watch ===
version=3
http://pypi.debian.net/pyopencl/pyopencl-(.+)\.tar\.gz

## pyopencl 2015.2.4

=== debian/changelog ===
pyopencl (2015.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop unnecessary python-versions.patch, refresh other patches.
  * Drop Boost Python dependency, add cffi dependency.
  * Ensure that generated cffi_build.py is removed on clean target.
  * Update Standards-Version to 3.9.7; no changes necessary.
  * Change Vcs-* links to use https.
  * Bump pytools dependency.
  * Add versions to some of Python dependencies, simplify other dependencies.
  * Update copyright.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 27 Mar 2016 19:06:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,46 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
 Build-Depends: debhelper (>= 9),
  dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
  python3-all-dbg,
+ python-cffi (>= 1.1.0),
+ python-cffi-backend-dbg,
+ python3-cffi (>= 1.1.0),
+ python3-cffi-backend-dbg,
  python-setuptools,
  python3-setuptools,
  opencl-headers,
  ocl-icd-opencl-dev | opencl-dev,
- libboost-python-dev,
  mesa-common-dev,
  python-numpy (>= 1:1.4.1-4~),
  python3-numpy,
  python-sphinx (>= 1.0.7+dfsg),
  python3-sphinx (>= 1.0.7+dfsg),
- python-pytools (>= 2014.2),
- python3-pytools
-Standards-Version: 3.9.6
+ python-pytools (>= 2015.1.2),
+ python3-pytools (>= 2015.1.2)
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-pyopencl.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pyopencl.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet | opencl-icd,
+ mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
  python-pkg-resources,
- python-appdirs,
+ python-appdirs (>= 1.4.0),
  python-numpy,
- python-pytools (>= 2014.2)
+ python-pytools (>= 2015.1.2),
+ python-six,
+ python-cffi (>= 1.1.0)
 Recommends: python-pyopencl-doc,
  python-opengl,
  python-mako
@@ -69,6 +73,7 @@
 Architecture: amd64 i386
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ python-cffi-backend-dbg
 Description: Python module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:
@@ -93,11 +98,13 @@
 Architecture: amd64 i386
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet | opencl-icd,
+ mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
  python3-pkg-resources,
- python3-appdirs,
+ python3-appdirs (>= 1.4.0),
  python3-numpy,
- python3-pytools (>= 2014.2)
+ python3-pytools (>= 2015.1.2),
+ python3-six,
+ python3-cffi (>= 1.1.0)
 Recommends: python-pyopencl-doc,
  python3-mako
 Suggests: python3-imaging-tk,
@@ -132,6 +139,7 @@
 Architecture: amd64 i386
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3-cffi-backend-dbg
 Description: Python 3 module to access OpenCL API (debug extensions)
  PyOpenCL lets you access the OpenCL parallel computation API from
  Python. Here's what sets PyOpenCL apart:

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,16 @@
 #! /usr/bin/make -f
 
+#export DH_VERBOSE = 1
+#export DH_BUILD_DDEBS = 1
 PACKAGE_DIR=$(CURDIR)/debian/python$(if $(patsubst 3.%,,$(1)),,3)-pyopencl
 INSTALL_DIR=$(CURDIR)/debian/tmp/
 PYTHON2=$(shell pyversions -vr)
 PYTHON3=$(shell py3versions -vr)
+
+#export PYBUILD_DESTDIR_python2=debian/python-pyopencl/
+#export PYBUILD_DESTDIR_python2-dbg=debian/python-pyopencl-dbg/
+#export PYBUILD_DESTDIR_python3=debian/python3-pyopencl/
+#export PYBUILD_DESTDIR_python3-dbg=debian/python3-pyopencl-dbg/
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -19,7 +26,11 @@
 	dh $@ --with python2,python3,sphinxdoc
 
 override_dh_auto_configure:
-	./configure.py --boost-python-libname=boost_python-py --cl-enable-gl
+	./configure.py --cl-enable-gl
+
+override_dh_auto_clean:
+	dh_auto_clean
+	-rm cffi_build.py
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=python_distutils
@@ -53,11 +64,17 @@
 # Required to build PyOpenCL symbols for documentation
 	cp -Ri pyopencl.egg-info build/lib.*-*-$(firstword $(PYTHON2))/
 	PYTHONPATH=../$$(ls -d build/lib.*-*-$(firstword $(PYTHON2)))/ $(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
+#	PYTHONPATH=`pybuild --build -i python3 -s custom --build-args 'echo {build_dir}'`\
+#       $(MAKE) -C doc html
+#	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 	rm -rf build/lib.*-*-$(firstword $(PYTHON2))/pyopencl.egg-info 
 	dh_installdocs
 
 # Sphinx documentation is architecture-independent
 override_dh_sphinxdoc-arch:
+
+# Do not run test automatically - they require OpenCL-capable hardware
+override_dh_auto_test:
 
 override_dh_compress:
 	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv
@@ -65,14 +82,16 @@
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
+#	dh_strip -ppython-pyopencl --ddeb-migration='python-pyopencl-dbg (<< 2015.1-1)'
 	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
+#	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
 endif
 
 
 MODULE_NAME=pyopencl
 DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
 	| sed -rne 's/^Version: ([^-]+).*/\1/p')
-GIT_REVISION=v2015.1
+GIT_REVISION=v2015.2.4
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=http://git.tiker.net/trees/pyopencl.git

## pyopencl 2016.1+git20161130

=== debian/changelog ===
pyopencl (2016.1+git20161130-1) unstable; urgency=medium

  * New upstream release.
  * Add DEB_BUILD_PROFILES support for disabling documentation building .
  * Patch Sphinx documentation to allow for reproducible builds.
  * Do not try to fetch external Sphinx objects, use ones from Debian
    packages.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Mon, 05 Dec 2016 18:43:23 +0100

pyopencl (2016.1+git20161003-2) unstable; urgency=medium

  * Drop mips64el architecture as there is no OpenCL ICD for it.
  * Set pocl-opencl-icd as the first alternative dependency; it's
    the best default choice when there no other OpenCL ICD installed
    as it uses CPU and no specialized hardware.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 22 Nov 2016 22:48:00 +0100

pyopencl (2016.1+git20161003-1) unstable; urgency=low

  * Build for all architectures with available OpenCL ICD (Closes: #800634).
  * Set Multi-Arch: foreign for documentation package.
  * Set compatibility level to 10; no changes necessary.
  * Drop python3.patch, accepted upstream.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 28 Oct 2016 20:55:35 +0200

pyopencl (2016.1+git20160809-2) unstable; urgency=low

  * Add python3.patch for removing improper print (Closes: #837488).
  * Extract common licenses in debian/copyright.
  * Add hardening option "bindnow".

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Tue, 13 Sep 2016 18:38:01 +0200

pyopencl (2016.1+git20160809-1) unstable; urgency=low

  * New upstream release (Closes: #826025)
  * Move to pybuild as build system, simplifying d/rules.
  * Update Standards-Version to 3.9.8; no changes necessary.
  * Build Sphinx documentation using Python 3, rebuild with new Sphinx.
  * Update debian/copyright links, after change in upstream.
  * Drop dependency on python-cffi - path by Stefano Rivera (Closes: #833149).
  * Mako is used during building documentation so add it as build-dependency.
  * Change dependency to opencl-c-headers.
  * Use debian/clean to clean CFFI-related build files.
  * Add new software license to debian/copyright.
  * Update debian/copyright links as upstream changed them.
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sun, 11 Sep 2016 14:41:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,28 +2,32 @@
 Section: python
 Priority: optional
 Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
  python-all-dbg,
  python3-all-dev,
  python3-all-dbg,
+ python3-doc <!nodoc>,
+ python-numpy-doc <!nodoc>,
+ python-mako-doc <!nodoc>,
  python-cffi (>= 1.1.0),
  python-cffi-backend-dbg,
  python3-cffi (>= 1.1.0),
  python3-cffi-backend-dbg,
  python-setuptools,
  python3-setuptools,
- opencl-headers,
+ opencl-c-headers,
  ocl-icd-opencl-dev | opencl-dev,
  mesa-common-dev,
  python-numpy (>= 1:1.4.1-4~),
  python3-numpy,
- python-sphinx (>= 1.0.7+dfsg),
- python3-sphinx (>= 1.0.7+dfsg),
+ python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
+ python3-mako,
  python-pytools (>= 2015.1.2),
  python3-pytools (>= 2015.1.2)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
@@ -31,17 +35,16 @@
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
 
 Package: python-pyopencl
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
+ pocl-opencl-icd | opencl-icd,
  python-pkg-resources,
  python-appdirs (>= 1.4.0),
  python-numpy,
  python-pytools (>= 2015.1.2),
- python-six,
- python-cffi (>= 1.1.0)
-Recommends: python-pyopencl-doc,
+ python-six
+Recommends: python-pyopencl-doc <!nodoc>,
  python-opengl,
  python-mako
 Suggests: python-imaging-tk,
@@ -70,7 +73,7 @@
 Package: python-pyopencl-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-cffi-backend-dbg
@@ -95,17 +98,16 @@
  This package contains debug extensions build for the Python debug interpreter.
 
 Package: python3-pyopencl
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
- mesa-opencl-icd | beignet-opencl-icd | opencl-icd,
+ pocl-opencl-icd | opencl-icd,
  python3-pkg-resources,
  python3-appdirs (>= 1.4.0),
  python3-numpy,
  python3-pytools (>= 2015.1.2),
- python3-six,
- python3-cffi (>= 1.1.0)
-Recommends: python-pyopencl-doc,
+ python3-six
+Recommends: python-pyopencl-doc <!nodoc>,
  python3-mako
 Suggests: python3-imaging-tk,
  python3-opengl,
@@ -136,7 +138,7 @@
 Package: python3-pyopencl-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 i386
+Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-cffi-backend-dbg
@@ -163,8 +165,13 @@
 Package: python-pyopencl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
+Build-Profiles: <!nodoc>
 Depends: ${sphinxdoc:Depends},
  ${misc:Depends}
+Recommends: python3-doc,
+ python-numpy-doc,
+ python-mako-doc
 Suggests: python-pyopencl,
  python3-pyopencl
 Description: module to access OpenCL parallel computation API (documentation)

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DH_BUILD_DDEBS = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PYBUILD_DESTDIR_python2=debian/python-pyopencl/
export PYBUILD_DESTDIR_python2-dbg=debian/python-pyopencl-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-pyopencl/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-pyopencl-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --cl-enable-gl

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_installdocs:
ifeq ($(filter nodocs,$(DEB_BUILD_PROFILES)),)
	pybuild --build -i pythonX.Y -s custom --build-args 'make -C {dir}/doc html'
	dh_installdocs
endif

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

# Do not run test automatically - they require OpenCL-capable hardware
override_dh_auto_test:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
#	dh_strip -ppython-pyopencl --ddeb-migration='python-pyopencl-dbg (<< 2015.1-1)'
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
#	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
endif


MODULE_NAME=pyopencl
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog \
	| sed -rne 's/^Version: ([^-]+).*/\1/p')
GIT_REVISION=19015994653dffe2ee407271e19a46e1d6a62796
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=http://git.tiker.net/trees/pyopencl.git 

get-orig-source:
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	git clone $(GIT_URL) $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	cd $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitignore $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/.gitmodules
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/doc/source/.gitignore
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.git $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(MODULE_NAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)
	rm -rf $(MODULE_NAME)-$(DEB_UPSTREAM_VERSION)

## pyopencl 2017.2.2

=== debian/changelog ===
pyopencl (2017.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #884519).
  * Update dependency on pytools to 2017.6.
  * Update Standards-Version to 4.1.3; no changes necessary.
  * Update d/rules get-orig-source to remove all git-related files.
  * Update copyright for file pyopencl/algorithm.py
  * Refresh patches.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Fri, 29 Dec 2017 22:38:34 +0100

pyopencl (2017.2-1) unstable; urgency=medium

  * New upstream release (Closes: #880583).
  * Update Standards-Version to 4.1.2.
    * Use DEB_BUILD_OPTIONS for nodoc option (Closes: #880559).
  * Add copyright for new file pyopencl/cltypes.py
  * Sort debian/copyright file.
  * Update dependency on pytools.
  * Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Refresh patches.
  * Change Priority of debugging packages to optional.
  * Change debian/watch file to use HTTPS, as suggested by lintian.
  * Use HTTPS URL of upstream URL.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Sat, 09 Dec 2017 18:46:46 +0100

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,9 @@
  python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-mako,
- python-pytools (>= 2015.1.2),
- python3-pytools (>= 2015.1.2)
-Standards-Version: 3.9.8
+ python-pytools (>= 2017.6),
+ python3-pytools (>= 2017.6)
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
@@ -42,7 +42,7 @@
  python-pkg-resources,
  python-appdirs (>= 1.4.0),
  python-numpy,
- python-pytools (>= 2015.1.2),
+ python-pytools (>= 2017.6),
  python-six
 Recommends: python-pyopencl-doc <!nodoc>,
  python-opengl,
@@ -72,7 +72,6 @@
 
 Package: python-pyopencl-dbg
 Section: debug
-Priority: extra
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
@@ -105,7 +104,7 @@
  python3-pkg-resources,
  python3-appdirs (>= 1.4.0),
  python3-numpy,
- python3-pytools (>= 2015.1.2),
+ python3-pytools (>= 2017.6),
  python3-six
 Recommends: python-pyopencl-doc <!nodoc>,
  python3-mako
@@ -137,7 +136,6 @@
 
 Package: python3-pyopencl-dbg
 Section: debug
-Priority: extra
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
#export DH_BUILD_DDEBS = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_DESTDIR_python2=debian/python-pyopencl/
export PYBUILD_DESTDIR_python2-dbg=debian/python-pyopencl-dbg/
export PYBUILD_DESTDIR_python3=debian/python3-pyopencl/
export PYBUILD_DESTDIR_python3-dbg=debian/python3-pyopencl-dbg/

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
DEB_CXXFLAGS_MAINT_STRIP=-O2
DEB_CXXFLAGS_MAINT_APPEND=-O0
endif

BUILD_DATE=$(shell LC_ALL=C date -u "+%B %d, %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild

override_dh_auto_configure:
	./configure.py --cl-enable-gl

override_dh_auto_install:
	dh_auto_install
	dh_numpy
	dh_numpy3

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	pybuild --build -i pythonX.Y -s custom --build-args 'make -C {dir}/doc html'
	dh_installdocs
endif

# Sphinx documentation is architecture-independent
override_dh_sphinxdoc-arch:

# Do not run test automatically - they require OpenCL-capable hardware
override_dh_auto_test:

override_dh_compress:
	dh_compress --all -X.py -X.txt -X.js -X.rst -X.json -X.doctree -Xobjects.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-pyopencl --dbg-package=python-pyopencl-dbg
#	dh_strip -ppython-pyopencl --ddeb-migration='python-pyopencl-dbg (<< 2015.1-1)'
	dh_strip -ppython3-pyopencl --dbg-package=python3-pyopencl-dbg
#	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
endif


GIT_REVISION=v2017.2.2
GIT_SUBMODULES=pyopencl/compyte
GIT_URL=https://git.tiker.net/trees/pyopencl.git

get-orig-source:
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.gz
	git clone $(GIT_URL) $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	cd $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM) && git submodule init $(GIT_SUBMODULES) && git submodule update $(GIT_SUBMODULES) && git checkout $(GIT_REVISION)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/.git*
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/doc/.gitignore $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/examples/.gitignore
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.git $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/$(GIT_SUBMODULES)/.gitignore
	tar caf $(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)
	rm -rf $(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=3
https://pypi.debian.net/pyopencl/pyopencl-(.+)\.tar\.gz

## pyopencl 2018.1.1

=== debian/changelog ===
pyopencl (2018.1.1-2build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:36:30 +0000

pyopencl (2018.1.1-2) unstable; urgency=medium

  [ Stuart Prescott <stuart@debian.org> ]
  * Fix FTBFS by updating pybuild call to 'python3' when building docs, with
    thanks to Rebecca N Palmer for diagnosing the problem and suggesting the
    solution (Closes: #893050).
  * Ensure persistent dict has somewhere to write so that documentation can
    be built on the buildd (Closes: #896521)

  [ Tomasz Rybak ]
  * Package is now group managed.
  * Update Vcs-* fields to point to Salsa.
  * Update Standards-Version to 4.1.4
    * Change d/watch to use upstream git repository URL.
  * Change d/copyright Format field to use https protocol.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 24 Apr 2018 20:29:03 +0200

pyopencl (2018.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update my email to @debian.org.
  * Add Multi-Arch: no for all binary packages.
  * Update copyright for file tests/test_clrandom.py
  * Reorder debian/copyright, per tip from lintian.

 -- Tomasz Rybak <serpent@debian.org>  Thu, 08 Mar 2018 19:54:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyopencl
 Section: python
 Priority: optional
-Maintainer: Tomasz Rybak <tomasz.rybak@post.pl>
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
+Uploaders: Tomasz Rybak <serpent@debian.org>
 Build-Depends: debhelper (>= 10),
  dh-python,
  python-all-dev,
@@ -27,15 +28,16 @@
  python3-mako,
  python-pytools (>= 2017.6),
  python3-pytools (>= 2017.6)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.3
 Homepage: http://mathema.tician.de/software/pyopencl
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pyopencl.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pyopencl.git
+Vcs-Git: https://salsa.debian.org/opencl-team/python-pyopencl.git
+Vcs-Browser: https://salsa.debian.org/opencl-team/python-pyopencl
 
 Package: python-pyopencl
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
@@ -73,6 +75,7 @@
 Package: python-pyopencl-dbg
 Section: debug
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: python-pyopencl (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-cffi-backend-dbg
@@ -98,6 +101,7 @@
 
 Package: python3-pyopencl
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  ocl-icd-libopencl1 | libopencl1,
  pocl-opencl-icd | opencl-icd,
@@ -137,6 +141,7 @@
 Package: python3-pyopencl-dbg
 Section: debug
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386 arm64 armhf
+Multi-Arch: no
 Depends: python3-pyopencl (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3-cffi-backend-dbg

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,10 @@
 SPHINXOPTS:=-D today=\"$(BUILD_DATE)\"
 SPHINXOPTS+=-D html_last_updated_fmt=\"$(BUILD_DATE)\"
 
+# persistent dict needs a writable directory and HOME on the buildd is not
+export CACHE=$(CURDIR)/.cache/
+export XDG_CACHE_HOME=$(CACHE)
+
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
 
@@ -35,7 +39,7 @@
 
 override_dh_installdocs:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	pybuild --build -i pythonX.Y -s custom --build-args 'make -C {dir}/doc html'
+	pybuild --build -i python3 -s custom --build-args 'make -C {dir}/doc html'
 	dh_installdocs
 endif
 
@@ -56,8 +60,11 @@
 #	dh_strip -ppython3-pyopencl --ddeb-migration='python3-pyopencl-dbg (<< 2015.1-1)'
 endif
 
+override_dh_clean:
+	dh_clean
+	rm -rf $(CACHE)
 
-GIT_REVISION=v2017.2.2
+GIT_REVISION=v2018.1.1
 GIT_SUBMODULES=pyopencl/compyte
 GIT_URL=https://git.tiker.net/trees/pyopencl.git

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" https://git.tiker.net/trees/pyopencl.git refs/tags/v([\d\.]+) debian uupdate
